lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ryan McKinley (JIRA)" <j...@apache.org>
Subject [jira] Updated: (LUCENE-2490) 'ant generate-maven-artifacts' should work for lucene+solr 3.x+
Date Sun, 06 Jun 2010 19:44:54 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-2490?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ryan McKinley updated LUCENE-2490:
----------------------------------

    Attachment: LUCENE-2490-maven.patch

this lets lucene get built as 'lucene-3.1-dev' and builds solr as a -SNAPSHOT, but references
the lucene jars.

{code:xml}
<dependency>
  <groupId>org.apache.lucene</groupId>
  <artifactId>lucene-spatial</artifactId>
-  <version>2.9.1</version>
+  <version>@lucene_maven_version@</version>
</dependency>
{code}

> 'ant generate-maven-artifacts' should work for lucene+solr 3.x+
> ---------------------------------------------------------------
>
>                 Key: LUCENE-2490
>                 URL: https://issues.apache.org/jira/browse/LUCENE-2490
>             Project: Lucene - Java
>          Issue Type: Task
>    Affects Versions: 3.0
>            Reporter: Ryan McKinley
>            Assignee: Ryan McKinley
>            Priority: Minor
>             Fix For: 3.1
>
>         Attachments: LUCENE-2490-maven.patch
>
>
> The maven build scripts need to be updated so that solr uses the artifacts from lucene.
> For consistency, we should be able to have a different 'maven_version' then the 'version'
 That is, we want to build: 3.1-SNAPSHOT with a jar file: 3.1-dev

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message